import type { Node } from '@babel/types';
import type { VineCompilerCtx, VineCompilerHooks, VineCompilerOptions, VineFileCtx } from './src/types';
export { compileVineStyle, } from './src/style/compile';
export { findVineCompFnDecls, } from './src/babel-helpers/ast';
export type { VineFileCtx, VineCompFnCtx as VineFnCompCtx, VineCompilerOptions, VineProcessorLang, VineCompilerHooks, VineDiagnostic, VineCompilerCtx, HMRCompFnsName, } from './src/types';
export declare function createCompilerCtx(options: VineCompilerOptions): VineCompilerCtx;
export declare function createVineFileCtx(code: string, fileId: string, fileCtxCache?: VineFileCtx): VineFileCtx;
export declare function doValidateVine(vineCompilerHooks: VineCompilerHooks, vineFileCtx: VineFileCtx, vineCompFnDecls: Node[]): void;
export declare function doAnalyzeVine(vineCompilerHooks: VineCompilerHooks, vineFileCtx: VineFileCtx, vineCompFnDecls: Node[]): void;
export declare function compileVineTypeScriptFile(code: string, fileId: string, compilerHooks: VineCompilerHooks, fileCtxCache?: VineFileCtx): VineFileCtx;
