import type { CallExpression, File, Identifier, ImportDeclaration, Node, ReturnStatement, TSPropertySignature, TaggedTemplateExpression } from '@babel/types';
import type { ParseResult } from '@babel/parser';
import type { BabelFunctionNodeTypes, Nil, VINE_MACRO_NAMES, VineBabelRoot } from '../types';
export declare function isVineCompFnDecl(target: Node): boolean;
export declare function findVineCompFnDecls(root: VineBabelRoot): Node[];
export declare function isDescendant(node: Node, potentialDescendant: Node): boolean;
export declare function isVineTaggedTemplateString(node: Node | null | undefined): node is TaggedTemplateExpression;
export declare function isVineMacroCallExpression(node: Node): node is CallExpression;
export declare function getVineMacroCalleeName(node: CallExpression): string;
export declare function isVineMacroOf(name: VINE_MACRO_NAMES | Array<VINE_MACRO_NAMES>): (node: Node | Nil) => node is CallExpression;
export declare function isStatementContainsVineMacroCall(node: Node): boolean;
export declare function isVueReactivityApiCallExpression(node: Node): any;
export declare function isValidVineRootScopeStatement(node: Node): boolean;
export declare function isTagTemplateStringContainsInterpolation(tagTmplNode: TaggedTemplateExpression): boolean;
export declare function getFunctionParams(fnItselfNode: BabelFunctionNodeTypes): (Identifier | import("@babel/types").Pattern | import("@babel/types").RestElement)[];
export declare function getFunctionInfo(fnDecl: Node): {
    fnItselfNode: BabelFunctionNodeTypes | undefined;
    fnName: string;
};
export declare function findVineTagTemplateStringReturn(node: Node): {
    templateReturn: ReturnStatement | undefined;
    templateStringNode: TaggedTemplateExpression | undefined;
};
export declare function getImportStatments(root: ParseResult<File>): ImportDeclaration[];
export declare function getTSTypeLiteralPropertySignatureName(tsTypeLit: TSPropertySignature): string;
export declare function getAllVinePropMacroCall(fnItselfNode: BabelFunctionNodeTypes): [CallExpression, Identifier][];
export declare function unwrapTSNode(node: Node): Node;
export declare function isStaticNode(node: Node): boolean;
export declare function isCallOf(node: Node | null | undefined, test: string | ((id: string) => boolean) | null | undefined): node is CallExpression;
export declare function isLiteralNode(node: Node): boolean;
export declare function canNeverBeRef(node: Node, userReactiveImport?: string): boolean;
