import type { SourceLocation } from '@babel/types';
import type { VineDiagnostic, VineFileCtx } from './types';
export interface DiagnosticParams {
    msg: string;
    location?: SourceLocation | null;
}
export interface MakeDiagnosticParams extends DiagnosticParams {
    fileId: string;
    msgColorful: (str: string) => string;
}
export declare function makeDiagnostic(label: string, { msg, fileId, location, msgColorful }: MakeDiagnosticParams): string;
export declare function vineErr(vineFileCtx: VineFileCtx, { msg, location }: DiagnosticParams): VineDiagnostic;
export declare function vineWarn(vineFileCtx: VineFileCtx, { msg, location }: DiagnosticParams): VineDiagnostic;
