import type { RawSourceMap } from 'source-map-js';
import postcss from 'postcss';
import type { VineCompilerCtx, VineProcessorLang } from '../types';
export declare function compileVineStyle(compilerCtx: VineCompilerCtx, params: {
    vineFileId: string;
    source: string;
    isScoped: boolean;
    scopeId: string;
    preprocessLang?: VineProcessorLang;
    inputSourceMap?: RawSourceMap;
    preprocessOptions?: Record<string, any>;
    postcssOptions?: any;
    postcssPlugins?: any[];
    onErr?: (msg: string) => void;
    onWarn?: (msg: string) => void;
}): Promise<{
    code: string;
    map: RawSourceMap;
    errors: Error[];
    rawResult: postcss.Result<postcss.Document | postcss.Root>;
    dependencies: Set<string>;
} | {
    code: string;
    map: undefined;
    errors: any[];
    rawResult: undefined;
    dependencies: Set<string>;
}>;
