import type { BindingTypes, CompilerOptions } from '@vue/compiler-dom';
import type { VineCompFnCtx, VineCompilerHooks, VineFileCtx } from '../types';
export declare function compileVineTemplate(source: string, params: Partial<CompilerOptions>): import("@vue/compiler-dom").CodegenResult;
interface DefaultImportSpecifierMeta {
    type: 'defaultSpecifier';
    localName: string;
}
interface NamespaceImportSpecifierMeta {
    type: 'namespaceSpecifier';
    localName: string;
}
export interface NamedImportSpecifierMeta {
    type: 'namedSpecifier';
    specs: Map<string, string>;
}
export type MergedImportsMap = Map<string, DefaultImportSpecifierMeta | NamedImportSpecifierMeta | NamespaceImportSpecifierMeta>;
export interface TemplateCompileComposer {
    compileSetupFnReturns: (params: {
        vineFileCtx: VineFileCtx;
        vineCompFnCtx: VineCompFnCtx;
        templateSource: string;
        mergedImportsMap: MergedImportsMap;
        bindingMetadata: Record<string, BindingTypes>;
    }) => string;
    templateCompileResults: WeakMap<VineCompFnCtx, string>;
    generatedPreambleStmts: WeakMap<VineCompFnCtx, string[]>;
}
export declare function createSeparatedTemplateComposer(compilerHooks: VineCompilerHooks): TemplateCompileComposer;
export declare function createInlineTemplateComposer(compilerHooks: VineCompilerHooks): TemplateCompileComposer;
export {};
