import type { VineCompilerHooks, VineFileCtx } from './types';
/**
 * Processing `.vine.ts` file transforming.
 *
 * Since we need to support sourcemap, we can't replace or cut-out too much code.
 * The process can be summarized in these steps:
 *
 * 1. Merge all imports, including user imports and other required imports by generated code.
 *    We need to remove all imports from the original code, one by one, and then prepend the
 *    merged imports to the code, based on our analysis result.
 *
 * 2. - Transform every Vine comonent function to be an IIFE.
 *      it's for creating a independent scope, so we can put those statements can be hosted.
 */
export declare function transformFile(vineFileCtx: VineFileCtx, compilerHooks: VineCompilerHooks, inline?: boolean): void;
